### Method

# Vips Sbuf get_line

#### Declaration [src]

    const char*
    vips_sbuf_get_line (
      VipsSbuf* sbuf
    )

#### Description [src]

Fetch the next line of text from `sbuf` and return it. The end of line character (or characters, for DOS files) are removed, and the string is terminated with a null (`\0` character).

Returns `NULL` on end of file or read error.

If the line is longer than some arbitrary (but large) limit, it is truncated. If you need to be able to read very long lines, use the slower `vips_sbuf_get_line_copy()`.

The return value is owned by `sbuf` and must not be freed. It is valid until the next get call to `sbuf`.

#### Return value

Type: `const char*`

The next line of text, or `NULL` on EOF or read error.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.